{
    "doc": "SelectionEvent\n===================================\nA set of result data relating to a specific set of checks performed",
    "fields": [
        {
            "doc": "Name of the test performed during this event",
            "name": "name",
            "type": {
                "doc": "The set of tests that are performed in Family Selection",
                "name": "SelectionTest",
                "symbols": [
                    "ALIGNMENT_STATS",
                    "ANALYSIS_PANELS",
                    "BAM_STATS_CHECK",
                    "BLACKLIST",
                    "CNV_QC_STATUS",
                    "DELIVERY_CHECK",
                    "DISEASE_PENETRANCE",
                    "FAMILY_SELECTION",
                    "GEL_STATUS",
                    "HPO_CHECK",
                    "PANEL_VERSION",
                    "RVG_RESULTS",
                    "SEX_CHECK"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Whether the test passed or failed",
            "name": "passed",
            "type": "boolean"
        },
        {
            "doc": "List of descriptive strings relating to test execution",
            "name": "description",
            "type": {
                "items": "string",
                "type": "array"
            }
        },
        {
            "doc": "List of flags raised during test execution",
            "name": "flags",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        }
    ],
    "name": "SelectionEvent",
    "namespace": "org.gel.models.metrics.avro",
    "type": "record"
}